/*
 * Copyright (c) 2018, Oracle and/or its affiliates. All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License, version 2.0, as
 * published by the Free Software Foundation.
 *
 * This program is also distributed with certain software (including
 * but not limited to OpenSSL) that is licensed under separate terms,
 * as designated in a particular file or component or in included license
 * documentation.  The authors of MySQL hereby grant you an
 * additional permission to link the program and your derivative works
 * with the separately licensed software that they have included with
 * MySQL.
 *
 * Without limiting anything contained in the foregoing, this file,
 * which is part of MySQL Connector/Node.js, is also subject to the
 * Universal FOSS Exception, version 1.0, a copy of which can be found at
 * http://oss.oracle.com/licenses/universal-foss-exception.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License, version 2.0, for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
 */

'use strict';

module.exports = [{
    charset: 'big5',
    collation: 'big5_chinese_ci'
}, {
    charset: 'latin2',
    collation: 'latin2_czech_cs'
}, {
    charset: 'dec8',
    collation: 'dec8_swedish_ci'
}, {
    charset: 'cp850',
    collation: 'cp850_general_ci'
}, {
    charset: 'latin1',
    collation: 'latin1_german1_ci'
}, {
    charset: 'hp8',
    collation: 'hp8_english_ci'
}, {
    charset: 'koi8r',
    collation: 'koi8r_general_ci'
}, {
    charset: 'latin1',
    collation: 'latin1_swedish_ci'
}, {
    charset: 'latin2',
    collation: 'latin2_general_ci'
}, {
    charset: 'swe7',
    collation: 'swe7_swedish_ci'
}, {
    charset: 'ascii',
    collation: 'ascii_general_ci'
}, {
    charset: 'ujis',
    collation: 'ujis_japanese_ci'
}, {
    charset: 'sjis',
    collation: 'sjis_japanese_ci'
}, {
    charset: 'cp1251',
    collation: 'cp1251_bulgarian_ci'
}, {
    charset: 'latin1',
    collation: 'latin1_danish_ci'
}, {
    charset: 'hebrew',
    collation: 'hebrew_general_ci'
}, {
    charset: 'tis620',
    collation: 'tis620_thai_ci'
}, {
    charset: 'euckr',
    collation: 'euckr_korean_ci'
}, {
    charset: 'latin7',
    collation: 'latin7_estonian_cs'
}, {
    charset: 'latin2',
    collation: 'latin2_hungarian_ci'
}, {
    charset: 'koi8u',
    collation: 'koi8u_general_ci'
}, {
    charset: 'cp1251',
    collation: 'cp1251_ukrainian_ci'
}, {
    charset: 'gb2312',
    collation: 'gb2312_chinese_ci'
}, {
    charset: 'greek',
    collation: 'greek_general_ci'
}, {
    charset: 'cp1250',
    collation: 'cp1250_general_ci'
}, {
    charset: 'latin2',
    collation: 'latin2_croatian_ci'
}, {
    charset: 'gbk',
    collation: 'gbk_chinese_ci'
}, {
    charset: 'cp1257',
    collation: 'cp1257_lithuanian_ci'
}, {
    charset: 'latin5',
    collation: 'latin5_turkish_ci'
}, {
    charset: 'latin1',
    collation: 'latin1_german2_ci'
}, {
    charset: 'armscii8',
    collation: 'armscii8_general_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_general_ci'
}, {
    charset: 'cp1250',
    collation: 'cp1250_czech_cs'
}, {
    charset: 'ucs2',
    collation: 'ucs2_general_ci'
}, {
    charset: 'cp866',
    collation: 'cp866_general_ci'
}, {
    charset: 'keybcs2',
    collation: 'keybcs2_general_ci'
}, {
    charset: 'macce',
    collation: 'macce_general_ci'
}, {
    charset: 'macroman',
    collation: 'macroman_general_ci'
}, {
    charset: 'cp852',
    collation: 'cp852_general_ci'
}, {
    charset: 'latin7',
    collation: 'latin7_general_ci'
}, {
    charset: 'latin7',
    collation: 'latin7_general_cs'
}, {
    charset: 'macce',
    collation: 'macce_bin'
}, {
    charset: 'cp1250',
    collation: 'cp1250_croatian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_general_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_bin'
}, {
    charset: 'latin1',
    collation: 'latin1_bin'
}, {
    charset: 'latin1',
    collation: 'latin1_general_ci'
}, {
    charset: 'latin1',
    collation: 'latin1_general_cs'
}, {
    charset: 'cp1251',
    collation: 'cp1251_bin'
}, {
    charset: 'cp1251',
    collation: 'cp1251_general_ci'
}, {
    charset: 'cp1251',
    collation: 'cp1251_general_cs'
}, {
    charset: 'macroman',
    collation: 'macroman_bin'
}, {
    charset: 'utf16',
    collation: 'utf16_general_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_bin'
}, {
    charset: 'utf16le',
    collation: 'utf16le_general_ci'
}, {
    charset: 'cp1256',
    collation: 'cp1256_general_ci'
}, {
    charset: 'cp1257',
    collation: 'cp1257_bin'
}, {
    charset: 'cp1257',
    collation: 'cp1257_general_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_general_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_bin'
}, {
    charset: 'utf16le',
    collation: 'utf16le_bin'
}, {
    charset: 'binary',
    collation: 'binary'
}, {
    charset: 'armscii8',
    collation: 'armscii8_bin'
}, {
    charset: 'ascii',
    collation: 'ascii_bin'
}, {
    charset: 'cp1250',
    collation: 'cp1250_bin'
}, {
    charset: 'cp1256',
    collation: 'cp1256_bin'
}, {
    charset: 'cp866',
    collation: 'cp866_bin'
}, {
    charset: 'dec8',
    collation: 'dec8_bin'
}, {
    charset: 'greek',
    collation: 'greek_bin'
}, {
    charset: 'hebrew',
    collation: 'hebrew_bin'
}, {
    charset: 'hp8',
    collation: 'hp8_bin'
}, {
    charset: 'keybcs2',
    collation: 'keybcs2_bin'
}, {
    charset: 'koi8r',
    collation: 'koi8r_bin'
}, {
    charset: 'koi8u',
    collation: 'koi8u_bin'
}, {
    charset: 'utf8',
    collation: 'utf8_tolower_ci'
}, {
    charset: 'latin2',
    collation: 'latin2_bin'
}, {
    charset: 'latin5',
    collation: 'latin5_bin'
}, {
    charset: 'latin7',
    collation: 'latin7_bin'
}, {
    charset: 'cp850',
    collation: 'cp850_bin'
}, {
    charset: 'cp852',
    collation: 'cp852_bin'
}, {
    charset: 'swe7',
    collation: 'swe7_bin'
}, {
    charset: 'utf8',
    collation: 'utf8_bin'
}, {
    charset: 'big5',
    collation: 'big5_bin'
}, {
    charset: 'euckr',
    collation: 'euckr_bin'
}, {
    charset: 'gb2312',
    collation: 'gb2312_bin'
}, {
    charset: 'gbk',
    collation: 'gbk_bin'
}, {
    charset: 'sjis',
    collation: 'sjis_bin'
}, {
    charset: 'tis620',
    collation: 'tis620_bin'
}, {
    charset: 'ucs2',
    collation: 'ucs2_bin'
}, {
    charset: 'ujis',
    collation: 'ujis_bin'
}, {
    charset: 'geostd8',
    collation: 'geostd8_general_ci'
}, {
    charset: 'geostd8',
    collation: 'geostd8_bin'
}, {
    charset: 'latin1',
    collation: 'latin1_spanish_ci'
}, {
    charset: 'cp932',
    collation: 'cp932_japanese_ci'
}, {
    charset: 'cp932',
    collation: 'cp932_bin'
}, {
    charset: 'eucjpms',
    collation: 'eucjpms_japanese_ci'
}, {
    charset: 'eucjpms',
    collation: 'eucjpms_bin'
}, {
    charset: 'cp1250',
    collation: 'cp1250_polish_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_unicode_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_icelandic_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_latvian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_romanian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_slovenian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_polish_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_estonian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_spanish_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_swedish_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_turkish_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_czech_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_danish_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_lithuanian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_slovak_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_spanish2_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_roman_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_persian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_esperanto_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_hungarian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_sinhala_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_german2_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_croatian_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_unicode_520_ci'
}, {
    charset: 'utf16',
    collation: 'utf16_vietnamese_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_unicode_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_icelandic_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_latvian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_romanian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_slovenian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_polish_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_estonian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_spanish_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_swedish_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_turkish_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_czech_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_danish_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_lithuanian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_slovak_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_spanish2_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_roman_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_persian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_esperanto_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_hungarian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_sinhala_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_german2_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_croatian_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_unicode_520_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_vietnamese_ci'
}, {
    charset: 'ucs2',
    collation: 'ucs2_general_mysql500_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_unicode_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_icelandic_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_latvian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_romanian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_slovenian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_polish_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_estonian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_spanish_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_swedish_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_turkish_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_czech_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_danish_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_lithuanian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_slovak_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_spanish2_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_roman_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_persian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_esperanto_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_hungarian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_sinhala_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_german2_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_croatian_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_unicode_520_ci'
}, {
    charset: 'utf32',
    collation: 'utf32_vietnamese_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_unicode_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_icelandic_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_latvian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_romanian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_slovenian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_polish_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_estonian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_spanish_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_swedish_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_turkish_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_czech_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_danish_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_lithuanian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_slovak_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_spanish2_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_roman_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_persian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_esperanto_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_hungarian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_sinhala_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_german2_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_croatian_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_unicode_520_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_vietnamese_ci'
}, {
    charset: 'utf8',
    collation: 'utf8_general_mysql500_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_unicode_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_icelandic_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_latvian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_romanian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_slovenian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_polish_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_estonian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_spanish_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_swedish_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_turkish_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_czech_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_danish_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_lithuanian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_slovak_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_spanish2_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_roman_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_persian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_esperanto_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_hungarian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_sinhala_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_german2_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_croatian_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_unicode_520_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_vietnamese_ci'
}, {
    charset: 'gb18030',
    collation: 'gb18030_chinese_ci'
}, {
    charset: 'gb18030',
    collation: 'gb18030_bin'
}, {
    charset: 'gb18030',
    collation: 'gb18030_unicode_520_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_de_pb_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_is_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_lv_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_ro_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_sl_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_pl_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_et_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_es_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_sv_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_tr_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_cs_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_da_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_lt_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_sk_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_es_trad_0900_ai_c'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_la_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_eo_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_hu_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_hr_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_vi_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_de_pb_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_is_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_lv_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_ro_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_sl_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_pl_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_et_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_es_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_sv_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_tr_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_cs_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_da_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_lt_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_sk_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_es_trad_0900_as_c'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_la_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_eo_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_hu_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_hr_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_vi_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_ja_0900_as_cs'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_ja_0900_as_cs_ks'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_0900_as_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_ru_0900_ai_ci'
}, {
    charset: 'utf8mb4',
    collation: 'utf8mb4_ru_0900_as_cs'
}];
